package sharin.doc.builder.xhtml1;

public class OptgroupElem extends GenericCommonElem<OptgroupElem> {

    public OptgroupElem(Object... nodes) {
        super("optgroup", nodes);
    }

    public OptgroupElem disabled(boolean disabled) {
        return disabled ? disabled("disabled") : this;
    }

    public OptgroupElem disabled(Object value) {
        return attr("disabled", value);
    }

    public OptgroupElem label(Object value) {
        return attr("label", value);
    }
}
